import { Component, OnInit, ViewChild } from '@angular/core';
import { ChildComponent } from '../child/child.component';

@Component({
  selector: 'app-parent',
  templateUrl: './parent.component.html',
  styleUrls: ['./parent.component.scss']
})
export class ParentComponent implements OnInit {

  hobbies = ['movies', 'football', 'art', 'animals'];

  @ViewChild('childReference')
  childComponent: ChildComponent;

  constructor() { }

  ngOnInit() {
  }

  getSelectedHobby(event) {
    const selectedHobby = `selected hobby received in parent component ${event}`;
    console.log(selectedHobby);
  }

  clearText() {
    this.childComponent.textToClean = '';
  }

}
